USERADD(8)

NOM
useradd - créer un nouvel utilisateur ou modifier les informations par défaut appliquées aux nouveaux utilisateurs

SYNOPSIS

useradd [options] LOGIN

useradd -D

useradd -D [options]

DESCRIPTION

useradd is a low level utility for adding users. On Debian, administrators should usually use adduser(8) instead.

Quand elle est invoquée sans l'option -D, la commande useradd crée un nouveau compte utilisateur qui utilise les valeurs indiquées sur la ligne de commande et les valeurs par défaut du système. En fonction des options de la ligne de commande, la commande useradd fera la mise à jour des fichiers du système, elle pourra créer le répertoire personnel et copier les fichiers initiaux.

By default, a group will also be created for the new user (see -g, -N, -U, and USERGROUPS_ENAB).

OPTIONS

Les options disponibles pour la commande useradd sont :

-b, --base-dir RÉP_BASE
    Répertoire de base par défaut du système si l'option -d RÉP_PERSO n'est pas spécifiée. RÉP_BASE est concaténé avec le nom du compte pour définir le répertoire personnel. Quand l'option -m n'est pas utilisée, RÉP_BASE doit exister.

    If this option is not specified, useradd will use the base directory specified by the HOME variable in /etc/default/useradd, or /home by default.

-c, --comment COMMENTAIRE
    Toute chaîne de texte. C'est généralement une description courte du compte, elle est actuellement utilisée comme champ pour le nom complet de l'utilisateur.

-d, --home RÉP_PERSO
    Le nouvel utilisateur sera créé en utilisant RÉP_PERSO comme valeur de répertoire de connexion de l'utilisateur. Le comportement par défaut est de concaténer UTILISATEUR au répertoire RÉP_BASE, et de l'utiliser en tant que nom de répertoire de connexion. Il n'est pas nécessaire que le répertoire RÉP_PERSO existe mais il ne sera pas créé s'il n'existe pas.

-D, --defaults
    Voir ci-dessous la sous-section « Modifier les valeurs par défaut ».

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé. La date est indiquée dans le format AAAA-MM-JJ.

    If not specified, useradd will use the default expiry date specified by the EXPIRE variable in /etc/default/useradd, or an empty string (no expiry) by default.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours suivant la fin de validité d'un mot de passe après lequel le compte est définitivement désactivé. Une valeur de 0 désactive le compte dès que le mot de passe a dépassé sa fin de validité, et une valeur de -1 désactive cette fonctionnalité.

    If not specified, useradd will use the default inactivity period specified by the INACTIVE variable in /etc/default/useradd, or -1 by default.

-g, --gid GROUPE
    Nom du groupe ou identifiant numérique du groupe de connexion initial de l'utilisateur. Le nom du groupe doit exister. Un numéro de groupe doit se référer à un groupe déjà existant.

    If not specified, the behavior of useradd will depend on the USERGROUPS_ENAB variable in /etc/login.defs. If this variable is set to yes (or -U/--user-group is specified on the command line), a group will be created for the user, with the same name as her loginname. If the variable is set to no (or -N/--no-user-group is specified on the command line), useradd will set the primary group of the new user to the value specified by the GROUP variable in /etc/default/useradd, or 100 by default.

-G, --groups GROUPE1[,GROUPE2,...[,GROUPEN]]]
    Liste de groupes supplémentaires auxquels appartient également l'utilisateur. Chaque groupe est séparé du suivant par une virgule, sans espace entre eux. Les groupes sont soumis aux mêmes restrictions que celles de l'option -g. Le comportement par défaut pour l'utilisateur est de n'appartenir qu'au groupe initial.

-h, --help
    Afficher un message d'aide et quitter.

-k, --skel RÉP_SQUELETTE
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by useradd.

    Cette option n'est valable que si l'option -m (ou --create-home) est utilisée.

    If this option is not set, the skeleton directory is defined by the SKEL variable in /etc/default/useradd or, by default, /etc/skel.

    If possible, the ACLs and extended attributes are copied.

-K, --key CLÉ=VALEUR
    Surcharge les valeurs par défaut du fichier /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS et autres). Par exemple : -K PASS_MAX_DAYS=-1 peut être utilisé pour la création de comptes système pour désactiver la gestion de la durée de validité des mots de passe, même si les comptes système n'ont pas de mot de passe. Plusieurs options -K peuvent être spécifiées, comme par exemple : -K UID_MIN=100 -K UID_MAX=499

-l, --no-log-init
    Do not add the user to the lastlog and faillog databases.

    By default, the user's entries in the lastlog and faillog databases are resetted to avoid reusing the entry from a previously deleted user.

    For the compatibility with previous Debian's useradd, the -O option is also supported.

-m, --create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option) will be copied to the home directory.

    By default, if this option is not specified and CREATE_HOME is not enabled, no home directories are created.

-M
    Do no create the user's home directory, even if the system wide setting from /etc/login.defs (CREATE_HOME) is set to yes.

-N, --no-user-group
    Do not create a group with the same name as the user, but add the user to the group specified by the -g option or by the GROUP variable in /etc/default/useradd.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in /etc/login.defs.

-o, --non-unique
    Permet de créer un compte d'utilisateur avec un identifiant (« UID ») dupliqué (non unique).

    Cette option n'est valable qu'avec l'option -u.

-p, --password MOT_DE_PASSE
    Le mot de passe chiffré, comme renvoyé par crypt(3). Le comportement par défaut est de désactiver le mot de passe.

    Note: l'utilisation de cette option est déconseillée car le mot de passe (ou le mot de passe chiffré) peut être visible des utilisateurs qui affichent la liste des processus.

    Il est nécessaire de vérifier si le mot de passe respecte la politique de mots de passe du système.

-r, --system
    Créer un compte système.

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are chosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in /etc/login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

    Note that useradd will not create a home directory for such an user, regardless of the default setting in /etc/login.defs (CREATE_HOME). You have to specify the -m options if you want a home directory for a system account to be created.

-s, --shell INTERPRÉTEUR
    Le nom de l'interpréteur de commandes initial de l'utilisateur (« login shell »). Le comportement par défaut est de laisser ce champ vide. Le système sélectionnera alors l'interpréteur par défaut indiqué par la variable SHELL dans /etc/default/useradd, ou une chaîne vide par défaut.

-u, --uid UID
    La valeur numérique de l'identifiant de l'utilisateur. Cette valeur doit être unique, à moins que l'option -o ne soit utilisée. La valeur ne doit pas être négative. Le comportement par défaut est d'utiliser la plus petite valeur d'identifiant plus grande que 999, et plus grande que celle des identifiants de tous les autres utilisateurs. Les valeurs comprises entre 0 et 999 sont généralement réservées pour les comptes systèmes.

-U, --user-group
    Create a group with the same name as the user, and add the user to this group.

    The default behavior (if the -g, -N, and -U options are not specified) is defined by the USERGROUPS_ENAB variable in /etc/login.defs.

-Z, --selinux-user UTILISATEUR_SELINUX
    The SELinux user for the user's login. The default is to leave this field blank, which causes the system to select the default SELinux user.

  Modifier les valeurs par défaut

When invoked with only the -D option, useradd will display the current default values. When invoked with -D plus other options, useradd will update the default values for the specified options. Valid default-changing options are:

-b, --base-dir RÉP_BASE
    The path prefix for a new user's home directory. The user's name will be affixed to the end of BASE_DIR to form the new user's home directory name, if the -d option is not used when creating a new account.

    This option sets the HOME variable in /etc/default/useradd.

-e, --expiredate DATE_FIN_VALIDITÉ
    Date à laquelle le compte utilisateur sera désactivé.

    This option sets the EXPIRE variable in /etc/default/useradd.

-f, --inactive DURÉE_INACTIVITÉ
    Nombre de jours après la fin de validité d'un mot de passe avant que le compte ne soit désactivé.

    This option sets the INACTIVE variable in /etc/default/useradd.

-g, --gid GROUPE
    The group name or ID for a new user's initial group (when the -N/--no-user-group is used or when the USERGROUPS_ENAB variable is set to no in /etc/login.defs. The named group must exist, and a numerical group ID must have an existing entry.

    This option sets the GROUP variable in /etc/default/useradd.

-s, --shell INTERPRÉTEUR
    The name of a new user's login shell.

    This option sets the SHELL variable in /etc/default/useradd.

NOTES

L'administrateur système doit se charger de placer les fichiers par défaut dans le répertoire /etc/skel (ou tout autre répertoire de modèles indiqué dans /etc/default/useradd ou sur la ligne de commande).

AVERTISSEMENTS

Vous ne pouvez pas ajouter d'utilisateur à un groupe NIS ou LDAP. Cela doit être effectué sur le serveur correspondant.

De la même façon, si le nom de l'utilisateur existe dans une base de données externe, telle que NIS ou LDAP, useradd refusera de créer le compte d'utilisateur.

It is usually recommended to only use usernames that begin with a lower case letter or an underscore, followed by lower case letters, digits, underscores, or dashes. They can end with a dollar sign. In regular expression terms: [a-z_][a-z0-9_-]*[$]?

On Debian, the only constraints are that usernames must neither start with a dash ('-') nor contain a colon (':') or a whitespace (space: ' ', end of line: '\n', tabulation: '\t', etc.). Note that using a slash ('/') may break the default algorithm for the definition of the user's home directory.

Les noms d'utilisateur sont limités à 16 caractères.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

CREATE_HOME (boolean)
    Indiquer si un répertoire personnel doit être créé par défaut pour les nouveaux utilisateurs.

    Ce réglage ne s'applique pas pour les utilisateurs système, et peut être annulé sur la ligne de commande.

GID_MAX (nombre), GID_MIN (nombre)
    Plage d'identifiants numériques de groupes que les commandes useradd, groupadd ou newusers peuvent utiliser pour la création des groupes normaux.

MAIL_DIR (chaîne ce caractères)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (chaîne ce caractères)
    Définit l'emplacement des boîtes aux lettres des utilisateurs relativement à leur répertoire personnel.

Les paramètres MAIL_DIR et MAIL_FILE sont utilisées par useradd, usermod, et userdel pour créer, déplacer, ou supprimer les boîtes aux lettres des utilisateurs.

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de fixer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

PASS_MAX_DAYS (nombre)
    Nombre maximum de jours de validité d'un mot de passe. Après cette durée, une modification du mot de passe est obligatoire. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_MIN_DAYS (nombre)
    Nombre minimum de jours autorisé avant la modification d'un mot de passe. Toute tentative de modification du mot de passe avant cette durée est rejetée. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_WARN_AGE (nombre)
    Nombre de jours durant lesquels l'utilisateur recevra un avertissement avant que son mot de passe n'arrive en fin de validité. Une valeur négative signifie qu'aucun avertissement n'est donné. S'il n'est pas précisé, aucun avertissement n'est donné.

SYS_GID_MAX (nombre), SYS_GID_MIN (nombre)
    Plage d'identifiants numériques de groupes que les commandes useradd, groupadd ou newusers peuvent utiliser pour la création de groupes système.

SYS_UID_MAX (nombre), SYS_UID_MIN (nombre)
    Plage d'identifiants numériques d'utilisateurs que les commandes useradd ou newusers peuvent utiliser pour la création d'utilisateurs système.

UID_MAX (nombre), UID_MIN (nombre)
    Plage d'identifiants numériques d'utilisateurs que les commandes useradd ou newusers peuvent utiliser pour la création d'utilisateurs normaux.

UMASK (nombre)
    The file mode creation mask is initialized to this value. If not specified, the mask will be initialized to 022.

    useradd and newusers use this mask to set the mode of the home directory they create

    It is also used by pam_umask as the default umask value.

USERGROUPS_ENAB (booléen)
    Si cette variable est positionnée à yes, userdel supprimera le groupe de l'utilisateur s'il ne contient pas d'autres membres, et useradd créera par défaut un groupe portant le nom de l'utilisateur.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/default/useradd
    Valeurs par défaut pour la création de comptes.

/etc/skel/
    Répertoire contenant les fichiers par défaut.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VALEURS DE RETOUR

La commande useradd retourne les valeurs suivantes en quittant :

0
    succès

1
    impossible de mettre à jour le fichier des mots de passe

2
    erreur de syntaxe

3
    paramètre non valable pour l'option

4
    UID déjà utilisé (et pas d'option -o)

6
    le groupe spécifié n'existe pas

9
    nom d'utilisateur déjà utilisé

10
    impossible de mettre à jour le fichier des groupes

12
    impossible de créer le répertoire personnel

13
    impossible de créer le répertoire d'attente des courriels

VOIR AUSSI

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).